Skip to main content
GET
/
v2
/
gift-cards
/
offers
List gift card offers
curl --request GET \
  --url https://api.gameboost.com/v2/gift-cards/offers \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": 123,
      "gift_card_id": 123,
      "price_eur": "<string>",
      "price_usd": "<string>",
      "stock": 123,
      "gift_card": {
        "id": 123,
        "region_id": 123,
        "brand_id": 123,
        "region": {
          "id": 123,
          "code": "<string>",
          "name": "<string>",
          "slug": "<string>",
          "is_country": true
        },
        "brand": {
          "id": 123,
          "name": "<string>",
          "slug": "<string>"
        },
        "title": "<string>",
        "face_value_amount": "<string>",
        "face_value_unit": "<string>",
        "face_value_unit_slug": "<string>",
        "lowest_price_eur": "<string>",
        "lowest_price_usd": "<string>",
        "highest_price_eur": "<string>",
        "highest_price_usd": "<string>",
        "is_enabled": true,
        "created_at": 123,
        "updated_at": 123
      },
      "created_at": 123,
      "updated_at": 123
    }
  ],
  "meta": {
    "current_page": 123,
    "from": 123,
    "last_page": 123,
    "per_page": 123,
    "to": 123,
    "total": 123
  },
  "links": {
    "first": "<string>",
    "last": "<string>",
    "prev": "<string>",
    "next": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

filter[created_at]
string

Filter by created at. Supports single date (YYYY-MM-DD) or date range (YYYY-MM-DD,YYYY-MM-DD).

Example:

"2019-08-14,2025-12-31"

filter[updated_at]
string

Filter by updated at. Supports single date (YYYY-MM-DD) or date range (YYYY-MM-DD,YYYY-MM-DD).

Example:

"2025-10-05"

sort
enum<string>
default:-created_at

Sort by field. Prefix with - for descending order.

Available options:
id,
-id,
price,
-price,
stock,
-stock,
created_at,
-created_at,
updated_at,
-updated_at
Example:

"-created_at"

per_page
integer
default:15

Items per page (max 50)

Required range: 1 <= x <= 50

Response

A paginated list of gift card offers

data
object[]
meta
object